Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586861 - maximum size of groupname, username is 31 characters
maximum size of groupname, username is 31 characters
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: shadow-utils (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Peter Vrabec
BaseOS QE Security Team
:
Depends On:
Blocks: 618129 668431
  Show dependency treegraph
 
Reported: 2010-04-28 09:17 EDT by Miroslav Vadkerti
Modified: 2011-01-13 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the maximum number of character for username and groupname was limited to 31. With this update Maximum size of username and groupname is set to 32 characters.
Story Points: ---
Clone Of:
: 618129 668431 (view as bug list)
Environment:
Last Closed: 2011-01-13 18:28:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adjusted goodname patch (2.46 KB, patch)
2010-07-29 08:28 EDT, Peter Vrabec
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0094 normal SHIPPED_LIVE shadow-utils bug fix update 2011-01-12 12:21:26 EST

  None (edit)
Description Miroslav Vadkerti 2010-04-28 09:17:34 EDT
Description of problem:
groupadd doesn't accept group name with 32 characters (maximum is 31)

Version-Release number of selected component (if applicable):
shadow-utils-4.0.17-15.el5.x86_64

How reproducible:
always

Steps to Reproduce:
.qa.[root@x86-64-5s-m1 ~]# echo -n "zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" | wc -c
32
.qa.[root@x86-64-5s-m1 ~]# groupadd zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz
groupadd: zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz is not a valid group name

Actual results:
error: invalid group name

Expected results:
groupadd successful

Additional info:
Comment 1 Peter Vrabec 2010-07-29 08:28:43 EDT
Created attachment 435265 [details]
adjusted goodname patch

man page fix will be needed too.
Comment 4 Florian Nadge 2011-01-03 11:03:25 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the maximum number of character for username and groupname was limited to 31. With this update Maximum size of username and groupname is set to 32 characters.
Comment 6 errata-xmlrpc 2011-01-13 18:28:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0094.html

Note You need to log in before you can comment on or make changes to this bug.